This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 144398 - gdb does not work under 2.6.9-1.11_FC2
gdb does not work under 2.6.9-1.11_FC2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://www.fedoraforum.org/forum/show...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-06 14:10 EST by Jeff
Modified: 2015-01-04 17:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 21:59:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff 2005-01-06 14:10:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040913

Description of problem:
After updating to 2.6.9-1.11_FC2, gdb reports that the "Child process
unexpectedly missing".

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.11_FC2

How reproducible:
Always

Steps to Reproduce:
1. Make a simple test.c :
int main()
{
}
2. Compile: "gcc -g test.c"
3. Debug: "gdb a.out"
4. "run"
    

Actual Results:  gdb a.out
GNU gdb Red Hat Linux (6.0post-0.20040223.19rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host
libthread_db library "/lib/tls/libthread_db.so.1".

(gdb) run
Starting program: /tmp/a.out
warning: Child process unexpectedly missing: No child processes

Program terminated with signal ?, Unknown signal.
The program no longer exists.
You can't do that without a process to debug.

Expected Results:  With 2.6.9-1.6_FC2 I get:

gdb a.out
GNU gdb Red Hat Linux (6.0post-0.20040223.19rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host
libthread_db library "/lib/tls/libthread_db.so.1".

(gdb) run
Starting program: /tmp/a.out

Program exited normally.


Additional info:

I've tried recompiling gdb 6.3 from scratch, but it didn't seem to help.
Comment 1 James Juran 2005-01-10 13:26:07 EST
I'm having the same issue as reported in the original bug.
Comment 2 Dave Jones 2005-01-10 21:59:16 EST
should be fixed in todays 2.6.10 update
please reopen if it persists.

Note You need to log in before you can comment on or make changes to this bug.